---------------------
PatchSet 6038 
Date: 2003/11/18 16:50:04
Author: dwsquid
Branch: icap-2_5
Tag: (none) 
Log:
Synchronized with cvs.squid-cache.org branch s2_5

Members: 
	ChangeLog:1.12.6.23.2.4->1.12.6.23.2.5 
	SPONSORS:1.6->1.6.40.1 
	mkrelease.sh:1.7->1.7.8.1 
	mksnapshot.sh:1.6->1.6.10.1 
	doc/release-notes/release-2.5.html:1.1.2.9.2.4->1.1.2.9.2.5 
	doc/release-notes/release-2.5.sgml:1.1.2.12.2.4->1.1.2.12.2.5 
	errors/German/ERR_DNS_FAIL:1.1.1.1.146.3->1.1.1.1.146.3.6.1 
	errors/Lithuanian/ERR_ACCESS_DENIED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_CACHE_ACCESS_DENIED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_CANNOT_FORWARD:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_CONNECT_FAIL:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_DNS_FAIL:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FORWARDING_DENIED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FTP_DISABLED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FTP_FAILURE:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FTP_FORBIDDEN:1.1->1.1.6.1 
	errors/Lithuanian/ERR_FTP_NOT_FOUND:1.1->1.1.6.1 
	errors/Lithuanian/ERR_FTP_PUT_CREATED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FTP_PUT_ERROR:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FTP_PUT_MODIFIED:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_FTP_UNAVAILABLE:1.1->1.1.6.1 
	errors/Lithuanian/ERR_INVALID_REQ:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_INVALID_URL:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_LIFETIME_EXP:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_NO_RELAY:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_READ_ERROR:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_READ_TIMEOUT:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_SHUTTING_DOWN:1.1->1.1.6.1 
	errors/Lithuanian/ERR_SOCKET_FAILURE:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_TOO_BIG:1.1->1.1.6.1 
	errors/Lithuanian/ERR_UNSUP_REQ:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_URN_RESOLVE:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_WRITE_ERROR:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/ERR_ZERO_SIZE_OBJECT:1.1.2.1->1.1.2.1.6.1 
	errors/Lithuanian/README:1.1.2.1->1.1.2.1.6.1 
	helpers/basic_auth/PAM/pam_auth.8:1.1.2.1->1.1.2.1.6.1 
	helpers/basic_auth/PAM/pam_auth.c:1.1.2.3->1.1.2.3.6.1 
	lib/rfc2617.c:1.8->1.8.52.1 
	src/cache_cf.c:1.38.6.11.2.7->1.38.6.11.2.8 
	src/cf.data.pre:1.49.2.33.2.12->1.49.2.33.2.13 
	src/errorpage.c:1.15.6.6.6.2->1.15.6.6.6.3 
	src/fqdncache.c:1.15->1.15.32.1 
	src/mime.conf.default:1.2->1.2.82.1 
	src/redirect.c:1.7.52.1->1.7.52.1.6.1 
	src/store.c:1.16.6.2.2.2->1.16.6.2.2.3 
	src/structs.h:1.48.2.9.2.21->1.48.2.9.2.22 
	src/auth/basic/auth_basic.c:1.17.6.2.2.1->1.17.6.2.2.2 
	src/auth/digest/auth_digest.c:1.12.6.5.2.2->1.12.6.5.2.3 
	src/auth/digest/auth_digest.h:1.6.6.2.2.1->1.6.6.2.2.2 

Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.12.6.23.2.4
retrieving revision 1.12.6.23.2.5
diff -u -r1.12.6.23.2.4 -r1.12.6.23.2.5
--- squid/ChangeLog	22 Sep 2003 20:03:37 -0000	1.12.6.23.2.4
+++ squid/ChangeLog	18 Nov 2003 16:50:04 -0000	1.12.6.23.2.5
@@ -1,4 +1,21 @@
+Changes to squid-2.5.STABLE5 (not yet released):
+
+	- cache.log message on "squid -k reconfigure" was slightly confusing,
+	  claiming Squid restarted when it just reread the configuration.
+	- Bug #787: digest auth never detects password changes
+	- Bug #789: login with space confuses redirector helpers
+	- Bug #791: FQDNcache discards negative responses when using
+	  internal DNS
+	- pam_auth fails on Solaris when using pam_authtok_get. Persistent
+	  PAM connections are unsafe and now disabled by default.
+	- Bug #795: German ERR_DNS_FAIL correction
+	- Bug #803: Lithuantian error messages update
+	- Bug #806: Segfault if failing to load error page
+	- Bug #812: Mozilla/Netscape plugins mime type defined (.xpi)
+	- Bug #817: maximum_object_size too large causes squid not to cache
+
 Changes to squid-2.5.STABLE4 (15 Sep 2003):
+
 	- Lithuanian error messages added to the distribution
 	- Bug #660: segfauld if more than one custom deny_info line
 	- cache_dir disd documentation cleanup
Index: squid/SPONSORS
===================================================================
RCS file: /cvsroot/squid-sf//squid/SPONSORS,v
retrieving revision 1.6
retrieving revision 1.6.40.1
diff -u -r1.6 -r1.6.40.1
--- squid/SPONSORS	21 Dec 2001 15:14:55 -0000	1.6
+++ squid/SPONSORS	18 Nov 2003 16:50:05 -0000	1.6.40.1
@@ -33,3 +33,7 @@
 
 	SGI has provided hardware donations for Squid developers.
 
+craigslist - http://www.craigslist.org/
+
+	craigslist has provided funding in recognition of the
+	vital role squid plays in their web serving architecture.
Index: squid/mkrelease.sh
===================================================================
RCS file: /cvsroot/squid-sf//squid/mkrelease.sh,v
retrieving revision 1.7
retrieving revision 1.7.8.1
diff -u -r1.7 -r1.7.8.1
--- squid/mkrelease.sh	19 Oct 2002 10:45:03 -0000	1.7
+++ squid/mkrelease.sh	18 Nov 2003 16:50:05 -0000	1.7.8.1
@@ -4,6 +4,7 @@
 	exit 1
 fi
 package=squid
+module=squid
 rev=`echo $1 | sed -e "s/^${package}-//"`
 name=${package}-${rev}
 tag=`echo ${name} | tr a-z.- A-Z__`
@@ -19,14 +20,14 @@
 rm -rf $name.tar.gz $tmpdir
 trap "rm -rf $tmpdir" 0
 
-cvs -Q export -d $tmpdir -r $tag $package
+cvs -Q export -d $tmpdir -r $tag $module
 if [ ! -f $tmpdir/configure ]; then
-	echo "ERROR! Tag $tag not found in $package"
+	echo "ERROR! Tag $tag not found in $module"
 fi
 
 cd $tmpdir
-eval `grep ^VERSION= configure | sed -e 's/-CVS$//'`
-eval `grep ^PACKAGE= configure`
+eval `grep "^ *VERSION=" configure | sed -e 's/-CVS//'`
+eval `grep "^ *PACKAGE=" configure`
 if [ ${name} != ${PACKAGE}-${VERSION} ]; then
 	echo "ERROR! The version numbers does not match!"
 	echo "${name} != ${PACKAGE}-${VERSION}"
@@ -34,11 +35,11 @@
 fi
 RELEASE=`echo $VERSION | cut -d. -f1,2 | cut -d- -f1`
 ed -s configure.in <<EOS
-g/${VERSION}-CVS/ s//${VERSION}/
+g/VERSION=${VERSION}-CVS/ s//VERSION=${VERSION}/
 w
 EOS
 ed -s configure <<EOS
-g/${VERSION}-CVS/ s//${VERSION}/
+g/VERSION=${VERSION}-CVS/ s//VERSION=${VERSION}/
 w
 EOS
 ed -s include/version.h <<EOS
Index: squid/mksnapshot.sh
===================================================================
RCS file: /cvsroot/squid-sf//squid/mksnapshot.sh,v
retrieving revision 1.6
retrieving revision 1.6.10.1
diff -u -r1.6 -r1.6.10.1
--- squid/mksnapshot.sh	19 Oct 2002 21:46:29 -0000	1.6
+++ squid/mksnapshot.sh	18 Nov 2003 16:50:05 -0000	1.6.10.1
@@ -3,12 +3,12 @@
 	echo "Usage: $0 [branch]"
 	exit 1
 fi
-package=squid
+module=squid
 tag=${1:-HEAD}
 startdir=$PWD
 date=`env TZ=GMT date +%Y%m%d`
 
-tmpdir=${TMPDIR:-${PWD}}/${package}-${tag}-mksnapshot
+tmpdir=${TMPDIR:-${PWD}}/${module}-${tag}-mksnapshot
 
 CVSROOT=${CVSROOT:-/server/cvs-server/squid}
 export CVSROOT
@@ -17,21 +17,20 @@
 trap "rm -rf $tmpdir" 0
 
 rm -f ${tag}.out
-cvs -Q export -d $tmpdir -r $tag $package
+cvs -Q export -d $tmpdir -r $tag $module
 if [ ! -f $tmpdir/configure ]; then
-	echo "ERROR! Tag $tag not found in $package"
+	echo "ERROR! Tag $tag not found in $module"
 fi
 
 cd $tmpdir
-eval CVS`grep ^VERSION= configure`
-VERSION=`echo $CVSVERSION | sed -e 's/-CVS//'`
-eval `grep ^PACKAGE= configure`
+eval `grep "^ *VERSION=" configure | sed -e 's/-CVS//'`
+eval `grep "^ *PACKAGE=" configure`
 ed -s configure.in <<EOS
-g/${CVSVERSION}/ s//${VERSION}-${date}/
+g/VERSION=${VERSION}-CVS/ s//VERSION=${VERSION}-${date}/
 w
 EOS
 ed -s configure <<EOS
-g/${CVSVERSION}/ s//${VERSION}-${date}/
+g/VERSION=${VERSION}-CVS/ s//VERSION=${VERSION}-${date}/
 w
 EOS
 
@@ -48,10 +47,16 @@
 if [ -f $relnotes ]; then
 	cp -p $relnotes ${PACKAGE}-${VERSION}-${date}-RELEASENOTES.html
 	echo ${PACKAGE}-${VERSION}-${date}-RELEASENOTES.html >>${tag}.out
+	ed -s ${PACKAGE}-${VERSION}-${date}-RELEASENOTES.html <<EOF
+g/"ChangeLog"/ s//"${PACKAGE}-${VERSION}-${date}-ChangeLog.txt"/g
+w
+EOF
 fi
+cp -p $tmpdir/ChangeLog ${PACKAGE}-${VERSION}-${date}-ChangeLog.txt
+echo ${PACKAGE}-${VERSION}-${date}-ChangeLog.txt >>${tag}.out
 
 if (echo $VERSION | grep PRE) || (echo $VERSION | grep STABLE); then
   echo "Differences from ${PACKAGE}-${VERSION} to ${PACKAGE}-${VERSION}-${date}" >${PACKAGE}-${VERSION}-${date}.diff
-  cvs -q rdiff -u -r SQUID_`echo $VERSION | tr .- __` -r $tag $package >>${PACKAGE}-${VERSION}-${date}.diff
+  cvs -q rdiff -u -r SQUID_`echo $VERSION | tr .- __` -r $tag $module >>${PACKAGE}-${VERSION}-${date}.diff
   echo ${PACKAGE}-${VERSION}-${date}.diff >>${tag}.out
 fi
Index: squid/doc/release-notes/release-2.5.html
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/release-notes/Attic/release-2.5.html,v
retrieving revision 1.1.2.9.2.4
retrieving revision 1.1.2.9.2.5
diff -u -r1.1.2.9.2.4 -r1.1.2.9.2.5
--- squid/doc/release-notes/release-2.5.html	22 Sep 2003 20:03:38 -0000	1.1.2.9.2.4
+++ squid/doc/release-notes/release-2.5.html	18 Nov 2003 16:50:05 -0000	1.1.2.9.2.5
@@ -7,7 +7,7 @@
 <BODY>
 <H1>Squid 2.5 release notes</H1>
 
-<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.9.2.4 2003/09/22 20:03:38 dwsquid Exp $
+<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.9.2.5 2003/11/18 16:50:05 dwsquid Exp $
 <HR>
 <EM>This document contains the release notes for version 2.5 of Squid.
 Squid is a WWW Cache application developed by the National Laboratory
@@ -138,13 +138,16 @@
 <P>There is a few known issues and limitations in this version of Squid which we hope to correct in a later release</P>
 <P>
 <DL>
+<DT><B>Bug #761</B><DD><P>assertion failed: cbdata.c:249: "c->locks > 0" when using diskd</P>
 <DT><B>Bug #592</B><DD><P>always/never_direct and NTLM authentication</P>
 <DT><B>Bug #585</B><DD><P>cache_peer_access fails with NTLM authentication</P>
-<DT><B>deny_info</B><DD><P>deny_info only works for http_access, not for the acls listen in http_reply_access </P>
+<DT><B>Bug #779</B><DD><P>users going above their allowed IP count no longer logged in cache.log</P>
 
+<DT><B>deny_info</B><DD><P>deny_info only works for http_access, not for the acls listen in http_reply_access </P>
 <DT><B>Bug #692</B><DD><P>tcp_outgoing_address using an ident ACL does not work</P>
 <DT><B>Bug #616</B><DD><P>Negative cached 404 replies with VARY header never matches</P>
 <DT><B>Bug #581</B><DD><P>acl max_user_ip and multiple authentication schemes</P>
+<DT><B>Bug #528</B><DD><P>miss_access fails on "slow" acl types such as dst.</P>
 <DT><B>Bug #513</B><DD><P>squid -F is starting server sockets to early</P>
 <DT><B>Bug #518</B><DD><P>wb_auth fails on TRU64 and probably other 64 bit platforms</P>
 <DT><B>Bug #500</B><DD><P>delay_pools stops working on -k reconfigure</P>
@@ -220,5 +223,21 @@
 </UL>
 </P>
 
+<H2><A NAME="s7">7. Key changes squid-2.5.STABLE4 to 2.5.STABLE5:</A></H2>
+
+<P>
+<UL>
+<LI>redirector interface modified to try to deal with login names
+containing spaces or other odd characters. This is accomplished
+by URL-encoding the login name before sent to redirectors. Note:
+Existing redirectors or their configuration may need to be slightly
+modified in how they process the ident column to support the new
+username format (only applies to redirectors looking into the username)</LI>
+<LI>a large number of minor and cosmetic bugfixes. See the list of 
+<A HREF="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE4">squid-2.5.STABLE4 patches</A> and the 
+<A HREF="ChangeLog">ChangeLog</A> file for details.</LI>
+</UL>
+</P>
+
 </BODY>
 </HTML>
Index: squid/doc/release-notes/release-2.5.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/release-notes/Attic/release-2.5.sgml,v
retrieving revision 1.1.2.12.2.4
retrieving revision 1.1.2.12.2.5
diff -u -r1.1.2.12.2.4 -r1.1.2.12.2.5
--- squid/doc/release-notes/release-2.5.sgml	22 Sep 2003 20:03:38 -0000	1.1.2.12.2.4
+++ squid/doc/release-notes/release-2.5.sgml	18 Nov 2003 16:50:06 -0000	1.1.2.12.2.5
@@ -2,7 +2,7 @@
 <article>
 <title>Squid 2.5 release notes</title>
 <author>Squid Developers</author>
-<date>$Id: release-2.5.sgml,v 1.1.2.12.2.4 2003/09/22 20:03:38 dwsquid Exp $</date>
+<date>$Id: release-2.5.sgml,v 1.1.2.12.2.5 2003/11/18 16:50:06 dwsquid Exp $</date>
 
 <abstract>
 This document contains the release notes for version 2.5 of Squid.
@@ -124,13 +124,16 @@
 <P>There is a few known issues and limitations in this version of Squid which we hope to correct in a later release
 
 <descrip>
+<tag>Bug #761</tag>assertion failed: cbdata.c:249: "c->locks > 0" when using diskd
 <tag>Bug #592</tag>always/never_direct and NTLM authentication
 <tag>Bug #585</tag>cache_peer_access fails with NTLM authentication
-<tag>deny_info</tag>deny_info only works for http_access, not for the acls listen in http_reply_access 
+<tag>Bug #779</tag>users going above their allowed IP count no longer logged in cache.log
 
+<tag>deny_info</tag>deny_info only works for http_access, not for the acls listen in http_reply_access 
 <tag>Bug #692</tag>tcp_outgoing_address using an ident ACL does not work
 <tag>Bug #616</tag>Negative cached 404 replies with VARY header never matches
 <tag>Bug #581</tag>acl max_user_ip and multiple authentication schemes
+<tag>Bug #528</tag>miss_access fails on "slow" acl types such as dst.
 <tag>Bug #513</tag>squid -F is starting server sockets to early
 <tag>Bug #518</tag>wb_auth fails on TRU64 and probably other 64 bit platforms
 <tag>Bug #500</tag>delay_pools stops working on -k reconfigure
@@ -205,5 +208,21 @@
 	name="ChangeLog"> file for details.
 </itemize>
 
+<sect>Key changes squid-2.5.STABLE4 to 2.5.STABLE5:
+
+<p>
+<itemize>
+	<item>redirector interface modified to try to deal with login names
+	containing spaces or other odd characters. This is accomplished
+	by URL-encoding the login name before sent to redirectors. Note:
+       	Existing redirectors or their configuration may need to be slightly
+       	modified in how they process the ident column to support the new
+	username format (only applies to redirectors looking into the username)
+	<item>a large number of minor and cosmetic bugfixes. See the list of <url
+	url="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE4"
+	name="squid-2.5.STABLE4 patches"> and the <url url="ChangeLog"
+	name="ChangeLog"> file for details.
+</itemize>
+
 </article>
 
Index: squid/errors/German/ERR_DNS_FAIL
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/German/ERR_DNS_FAIL,v
retrieving revision 1.1.1.1.146.3
retrieving revision 1.1.1.1.146.3.6.1
diff -u -r1.1.1.1.146.3 -r1.1.1.1.146.3.6.1
--- squid/errors/German/ERR_DNS_FAIL	28 Aug 2002 21:46:58 -0000	1.1.1.1.146.3
+++ squid/errors/German/ERR_DNS_FAIL	18 Nov 2003 16:50:06 -0000	1.1.1.1.146.3.6.1
@@ -3,6 +3,7 @@
 <TITLE>FEHLER: Der angeforderte URL konnte nicht geholt werden</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
+<H1>FEHLER</H1>
 <H2>Der angeforderte URL konnte nicht geholt werden</H2>
 <HR noshade size="1px">
 <P>
Index: squid/errors/Lithuanian/ERR_ACCESS_DENIED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_ACCESS_DENIED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_ACCESS_DENIED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_ACCESS_DENIED	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
@@ -17,8 +17,8 @@
 Priėjimas draudžiamas.
 </STRONG>
 <P>
-Priėjimo kontrolės konfiguracija šiuo metu neleidžia atsiųsti jūsų
-nurodyto puslapio. Jei manote, kad tai yra neteisinga, galite susisiekti
+Priėjimo kontrolės konfigūracija šiuo metu neleidžia atsiųsti jūsų
+nurodyto puslapio. Jei manote, kad tai yra neteisinga, galite susisiekti
 su jūsų Interneto paslaugų tiekėju.
 </UL>
 </P>
Index: squid/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Priėjimas prie kešo uždraustas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD>
@@ -7,12 +7,12 @@
 <H1>KLAIDA</H1>
 <H2>Priėjimas prie kešo uždraustas</H2>
 <HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Priėjimas prie kešo uždraustas.
@@ -20,15 +20,15 @@
 </UL>
 </P>
 
-<P>Atsiprašau, bet jūs šiuo metu negalite vykdyti užklausimo:
+<P>Atsiprašome, bet jūs šiuo metu negalite vykdyti užklausos:
 <PRE>    %U</PRE>
 per šį serverį, kol jūs neprisistatysite.
 </P>
 
 <P>
 Jums reikia Netscape v2.0 ar naujesnio, arba Microsoft Internet
-Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantančios peržiūros
-programos. Prašau susisiekti su <A HREF="mailto:%w">proxy 
+Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantančios peržiūros
+programos. Prašome susisiekti su <A HREF="mailto:%w">proxy 
 administratoriumi</a>, jei jums kils sunkumai prisistatant arba 
-<A HREF="http://%h/cgi-bin/chpasswd.cgi\">pakeisti</a> savo slaptažodį.
+<A HREF="http://%h/cgi-bin/chpasswd.cgi">pakeisti</a> savo slaptažodį.
 </P>
Index: squid/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Kešo menedžerio priėjimas uždraustas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD>
@@ -20,17 +20,17 @@
 </UL>
 </P>
 
-<P>Atsiprašiau, bet jūs negalite vykdyti užklausimo:
+<P>Atsiprašome, bet jūs negalite vykdyti užklausos:
 <PRE>    %U</PRE>
 šiam kešo menedžeriui, kol jūs neprisistatysite.
 </P>
 
-<P> 
-Jums reikia Netscape v2.0 ar naujesnio, arba Microsoft Internet
-Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantančios peržiūros
-programos. Prašau susisiekti su <A HREF="mailto:%w">administratoriumi</a>, 
+<P> 
+Jums reikia Netscape v2.0 ar naujesnio, arba Microsoft Internet
+Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantančios peržiūros
+programos. Prašome susisiekti su <A HREF="mailto:%w">administratoriumi</a>, 
 jei jums iškilo problemos prisistatant arba, jei jūs <em>esate</em> 
-administratorius, perskaitykite Squid documentaciją dėl kešo menedžerio 
-interfeiso ir patikrinkite kešo žurnalą dėl detalesnių pranešimų apie
-klaidas.
+administratorius, perskaitykite Squid documentaciją dėl kešo menedžerio 
+interfeiso ir patikrinkite kešo žurnalą dėl detalesnių pranešimų apie
+klaidas.
 </P>
Index: squid/errors/Lithuanian/ERR_CANNOT_FORWARD
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_CANNOT_FORWARD,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_CANNOT_FORWARD	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_CANNOT_FORWARD	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
-Šiuo metu negaliu persiųsti užklausimo.
+Šiuo metu negaliu persiųsti užklausos.
 </STRONG>
 </UL>
 
 <P>
-Užklausimas negali būti persiųstas į pagrindinį serverį arba kurį nors 
+Užklausa negali būti persiųsta į pagrindinį serverį arba kurį nors 
 pagalbinį proxy serverį. Pagrindinės tokios klaidos priežastys yra šios:
 <UL>
 <LI>Proxy administratorius neleidžia serveriui kurti tiesioginių 
Index: squid/errors/Lithuanian/ERR_CONNECT_FAIL
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_CONNECT_FAIL,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_CONNECT_FAIL	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_CONNECT_FAIL	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Ryšys neveikia
@@ -23,6 +23,6 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Nurodytas serveris arba tinklas yra atjungtas. 
-Pabandykite vykdyti užklausimą vėliau.
+Nurodytas serveris arba tinklas yra atjungtas. 
+Pabandykite vykdyti užklausą vėliau.
 </P>
Index: squid/errors/Lithuanian/ERR_DNS_FAIL
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_DNS_FAIL,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_DNS_FAIL	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_DNS_FAIL	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>KLAIDA</H1>
+<H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <BLOCKQUOTE>
 Neįmanoma nustatyti <I>%H</I> serverio IP adreso
 </BLOCKQUOTE>
@@ -30,4 +30,3 @@
  Patikrinkite, ar teisingai įvedėte adresą. 
 </PRE>
 </P>
-
Index: squid/errors/Lithuanian/ERR_FORWARDING_DENIED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_FORWARDING_DENIED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_FORWARDING_DENIED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_FORWARDING_DENIED	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Pervedimo komanda neleistina.
@@ -19,7 +19,7 @@
 </UL>
 
 <P>
-Šis kešas negali perkelti jūsų užklausimo, kadangi jis bando sukurti
+Šis kešas negali perkelti jūsų užklausos, kadangi ji bando sukurti
 sibling tipo ryšius. Gal būt klientas %i yra kešas, kuris klaidingai
-sukonfiguruotas.
+sukonfigūruotas.
 </P>
Index: squid/errors/Lithuanian/ERR_FTP_DISABLED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_FTP_DISABLED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_FTP_DISABLED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_FTP_DISABLED	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 FTP yra atjungtas
Index: squid/errors/Lithuanian/ERR_FTP_FAILURE
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_FTP_FAILURE,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_FTP_FAILURE	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_FTP_FAILURE	18 Nov 2003 16:50:06 -0000	1.1.2.1.6.1
@@ -1,24 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
 <P>
 Įvyko FTP protokolo klaida
-bandant atsiusti puslapį:
+bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
 Squid nusiuntė šią FTP komandą:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-ir gavo šį atsakymą:
+ir gavo šį atsakymą:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-Tai gali būti sąlygota FTP adreso su pilnu keliu (kuris neatitinka
-RFC 1738 standarto). Jei taip atsitiko, tada duomenys gali būti
-rasti <A HREF="%B">%B</A> adresu.
 </P>
-
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/errors/Lithuanian/ERR_FTP_FORBIDDEN	Wed Feb 14 01:09:25 2007
@@ -0,0 +1,18 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Nepavyko FTP prisistatymas bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Squid nusiuntė šią FTP komandą:
+<blockquote><strong><pre>%f</pre></strong></blockquote>
+ir gavo šį atsakymą:
+<blockquote><strong><pre>%F</pre></strong></blockquote>
+<blockquote><strong><pre>%g</pre></strong></blockquote>
+</P>
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/errors/Lithuanian/ERR_FTP_NOT_FOUND	Wed Feb 14 01:09:25 2007
@@ -0,0 +1,22 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Nepavyko atsiųsti puslapio:
+<A HREF="%U">%U</A>
+<P>
+Squid nusiuntė šią FTP komandą:
+<blockquote><strong><pre>%f</pre></strong></blockquote>
+ir gavo šį atsakymą:
+<blockquote><strong><pre>%F</pre></strong></blockquote>
+<blockquote><strong><pre>%g</pre></strong></blockquote>
+<P>
+Tai gali būti sąlygota FTP adreso su pilnu keliu (kuris neatitinka
+RFC 1738 standarto). Jei taip atsitiko, tada duomenys gali būti
+rasti <A HREF="%B">%B</A> adresu.
+</P>
Index: squid/errors/Lithuanian/ERR_FTP_PUT_CREATED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_FTP_PUT_CREATED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_FTP_PUT_CREATED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_FTP_PUT_CREATED	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>FTP PUT operacija buvo sėkminga: Failas sukurtas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
@@ -8,4 +8,3 @@
 <HR noshade size="1px">
 <P>
 </P>
-
Index: squid/errors/Lithuanian/ERR_FTP_PUT_ERROR
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_FTP_PUT_ERROR,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_FTP_PUT_ERROR	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_FTP_PUT_ERROR	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: FTP uploadas nepavyko</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
@@ -24,4 +24,3 @@
 Patikrinkite kelią, teises, disko talpą ir pabandykite dar kartą.
 </PRE>
 </P>
-
Index: squid/errors/Lithuanian/ERR_FTP_PUT_MODIFIED
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_FTP_PUT_MODIFIED,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_FTP_PUT_MODIFIED	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_FTP_PUT_MODIFIED	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>FTP PUT operacija sėkminga: Failas atnaujintas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
@@ -8,4 +8,3 @@
 <HR noshade size="1px">
 <P>
 </P>
-
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/errors/Lithuanian/ERR_FTP_UNAVAILABLE	Wed Feb 14 01:09:25 2007
@@ -0,0 +1,18 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+FTP serveris buvo užimtas bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Squid nusiuntė šią FTP komandą:
+<blockquote><strong><pre>%f</pre></strong></blockquote>
+ir gavo šį atsakymą:
+<blockquote><strong><pre>%F</pre></strong></blockquote>
+<blockquote><strong><pre>%g</pre></strong></blockquote>
+</P>
Index: squid/errors/Lithuanian/ERR_INVALID_REQ
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_INVALID_REQ,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_INVALID_REQ	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_INVALID_REQ	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
 <P>
-Bandant įvykdyti užklausimą:
+Bandant įvykdyti užklausą:
 <PRE>
 %R
 </PRE>
@@ -16,18 +16,18 @@
 <UL>
 <LI>
 <STRONG>
-Neteisingas užklausimas
+Neteisinga užklausa
 </STRONG>
 </UL>
 
 <P>
-Dalis HTTP užklausimo yra klaidinga. Galimos problemos:
+Dalis HTTP užklausos yra klaidinga. Galimos problemos:
 <UL>
-<LI>Trūksta arba nežinomas užklausimo metodas
+<LI>Trūksta arba nežinomas užklausos metodas
 <LI>Trūksta adresas
 <LI>Trūksta HTTP identifikatoriaus (HTTP/1.0)
-<LI>Užklausimas per didelis
-<LI>Trūksta Content-Length parametro POST arba PUT užklausime
-<LI>Neleistinas simbolis serverio varde; underscore simboliai yra neleistini
+<LI>Užklausa per didelė
+<LI>Trūksta Content-Length parametro POST arba PUT užklausoje
+<LI>Neleistinas simbolis serverio varde; pabraukimo simboliai yra neleistini
 </UL>
 </P>
Index: squid/errors/Lithuanian/ERR_INVALID_URL
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_INVALID_URL,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_INVALID_URL	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_INVALID_URL	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
 <H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Klaidingas adresas
@@ -24,6 +24,6 @@
 <LI>Trūksta arba klaidingas protokolas (turetų būti `http://' ar panašus)
 <LI>Trūksta serverio vardo
 <LI>Neleistinas double-escape kodas adrese
-<LI>Neleistinas simbolis serverio varde; underscores simboliai yra neleistini
+<LI>Neleistinas simbolis serverio varde; pabraukimo simboliai yra neleistini
 </UL>
 </P>
Index: squid/errors/Lithuanian/ERR_LIFETIME_EXP
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_LIFETIME_EXP,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_LIFETIME_EXP	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_LIFETIME_EXP	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Ryšio trukmės laiko pabaiga
@@ -19,6 +19,6 @@
 </UL>
 
 <P>
-Squid nutraukė užklausimą, kadangi jis viršijo maksimalią
+Squid nutraukė užklausą, kadangi ji viršijo maksimalią
 ryšio trukmės reikšmę.
 </P>
Index: squid/errors/Lithuanian/ERR_NO_RELAY
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_NO_RELAY,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_NO_RELAY	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_NO_RELAY	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Nėra Wais Relay
@@ -19,6 +19,6 @@
 </UL>
 
 <P>
-WAIS Relay serveris yra nenurodytas šiame proxy serveryje! 
+WAIS Relay serveris yra nenurodytas šiame proxy serveryje! 
 Šauk ant (tik ne į) admino.
 </P>
Index: squid/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Tinkamas dokumentas nerastas proxy serveryje ir <code>only-if-cached</code>
@@ -20,7 +20,7 @@
 </UL>
 
 <P>
-Jūs davėte užklausimą su <code>only-if-cached</code> proxy kontrolės 
+Jūs davėte užklausą su <code>only-if-cached</code> proxy kontrolės 
 komanda. Dokumentas nerastas serveryje, <em>arba</em> jis pareikalavo
 patvirtinimo uždrausto <code>only-if-cached</code> komandos.
 </P>
Index: squid/errors/Lithuanian/ERR_READ_ERROR
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_READ_ERROR,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_READ_ERROR	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_READ_ERROR	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Skaitymo klaida
@@ -23,6 +23,6 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Įvyko klaida skaitant duomenis tinkle. 
-Prašau pakartoti savo užklausimą.
+Įvyko klaida skaitant duomenis tinkle. 
+Prašome pakartoti savo užklausą.
 </P>
Index: squid/errors/Lithuanian/ERR_READ_TIMEOUT
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_READ_TIMEOUT,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_READ_TIMEOUT	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_READ_TIMEOUT	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Leistino skaitymo laiko pabaiga
@@ -23,6 +23,6 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Klaida įvyko laukiant duomenų atsiuntimo iš tinklo. Tinklas arba serveris 
-gali būti atjungtas arba perkrautas. Prašau pakartoti jūsų užklausimą.
+Klaida įvyko laukiant duomenų atsiuntimo iš tinklo. Tinklas arba serveris 
+gali būti atjungtas arba perkrautas. Prašome pakartoti užklausą.
 </P>
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/errors/Lithuanian/ERR_SHUTTING_DOWN	Wed Feb 14 01:09:25 2007
@@ -0,0 +1,17 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<P>
+Šiuo metu kešas yra išjungiamas ir negali jūsų aptarnauti.
+Prašome pakartoti užklausą vėliau.
+</P>
Index: squid/errors/Lithuanian/ERR_SOCKET_FAILURE
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_SOCKET_FAILURE,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_SOCKET_FAILURE	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_SOCKET_FAILURE	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Socket klaida
@@ -24,5 +24,5 @@
 
 <P>
 Squid negalėjo sukurti TCP socket, greičiausiai dėl per didelio apkrovimo.
-Prašau pakartoti savo užklausimą.
+Prašome pakartoti savo užklausą.
 </P>
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/errors/Lithuanian/ERR_TOO_BIG	Wed Feb 14 01:09:25 2007
@@ -0,0 +1,27 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
+<LI>
+<STRONG>
+Užklausa arba atsakymas yra per dideli.
+</STRONG>
+<P>
+Jei jūs vykdote POST arba PUT užklausą, jūsų užklausos dydis
+(tai, ką jūs bandote nusiųsti) yra per didelis.  Jei jūs vykdote
+GET užklausą, atsakymo dydis (tai, ką jūs bandote atsisiųsti)
+yra per didelis.  Šie apribojimai yra uždėti jūsų Interneto
+tiekėjo.  Prašome kreiptis į savo administratorių arba Interneto
+tiekėją, jei manote, kad tai neteisinga.
+</UL>
+</P>
Index: squid/errors/Lithuanian/ERR_UNSUP_REQ
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_UNSUP_REQ,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_UNSUP_REQ	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_UNSUP_REQ	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,25 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
-Nepalaikomas užklausos metodas ar protokolas
+Nepalaikomas užklausos metodas ir protokolas
 </STRONG>
 </UL>
 
 <P>
 Squid palaiko ne visus užklausos metodus daliai protokolų.
-Pavyzdžiui, jūs negalite vykdyti POST Gopher tipo užklausime.
+Pavyzdžiui, jūs negalite vykdyti POST Gopher tipo užklausoje.
 </P>
-
Index: squid/errors/Lithuanian/ERR_URN_RESOLVE
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_URN_RESOLVE,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_URN_RESOLVE	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_URN_RESOLVE	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
 <TITLE>KLAIDA: Nurodytas URN negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
@@ -19,5 +19,5 @@
 </UL>
 
 <P>
-Mielieji, siūlau daug nesitikėti iš URNu %T :)
+Mielieji, siūlau daug nesitikėti iš URNų %T :)
 </P>
Index: squid/errors/Lithuanian/ERR_WRITE_ERROR
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_WRITE_ERROR,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_WRITE_ERROR	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_WRITE_ERROR	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Rašymo klaida
@@ -23,6 +23,6 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Įvyko klaida bandant rašyti tinkle. 
-Prašau pakartoti savo užklausimą.
+Įvyko klaida bandant rašyti tinkle. 
+Prašome pakartoti savo užklausą.
 </P>
Index: squid/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
-<HR noshade size="1px">
-<P>
-Bandant atsiųsti puslapį:
-<A HREF="%U">%U</A>
-<P>
-Gautas klaidos pranešimas:
-<UL>
+</HEAD><BODY>
+<H1>KLAIDA</H1>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
+<HR noshade size="1px">
+<P>
+Bandant atsiųsti puslapį:
+<A HREF="%U">%U</A>
+<P>
+Gautas klaidos pranešimas:
+<UL>
 <LI>
 <STRONG>
 Atsakymas nulinis
@@ -19,5 +19,5 @@
 </UL>
 
 <P>
-Squid negavo jokių duomenų šiam užklausimui.
+Squid negavo jokių duomenų šiai užklausai.
 </P>
Index: squid/errors/Lithuanian/README
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Lithuanian/README,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/errors/Lithuanian/README	14 Aug 2002 07:38:26 -0000	1.1.2.1
+++ squid/errors/Lithuanian/README	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,2 +1,2 @@
-Thank you to "DVM" <dvm382@takas.lt> for
-creating these error pages in Lithuanian!
+Thank you to "DVM" <dvm382@takas.lt> and Nerijus Baliunas <nerijus@users.sourceforge.net>
+for creating these error pages in Lithuanian!
Index: squid/helpers/basic_auth/PAM/pam_auth.8
===================================================================
RCS file: /cvsroot/squid-sf//squid/helpers/basic_auth/PAM/pam_auth.8,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.6.1
diff -u -r1.1.2.1 -r1.1.2.1.6.1
--- squid/helpers/basic_auth/PAM/pam_auth.8	28 Jun 2002 14:46:20 -0000	1.1.2.1
+++ squid/helpers/basic_auth/PAM/pam_auth.8	18 Nov 2003 16:50:07 -0000	1.1.2.1.6.1
@@ -1,4 +1,4 @@
-.TH pam_auth 8 "15 May 2002" "Squid PAM Auth"
+.TH pam_auth 8 "5 Sep 2003" "Squid PAM Auth"
 .
 .SH NAME
 pam_auth - Squid PAM authentication helper
@@ -17,22 +17,18 @@
 .
 .TP
 .BI "-t " TTL
-Unless the -1 option is used, this specified for how long
-the connection to the PAM database should be kept open and
-reused for new logins. Defaults to 60 seconds.
+Enables persistent PAM connections where the connection to the PAM
+database is kept open and reused for new logins. The TTL specifies
+how long the connetion will be kept open (in seconds).  Default is
+to not keep PAM connections open. Please note that the use of
+persistent PAM connections is slightly outside the PAM
+specification and may not work with all PAM configurations.
 .
 .TP
 .BI "-o"
 Do not perform the PAM account management group (account
 expiration etc)
 
-.TP
-.BI "-1"
-Specifies "One shot" mode, where a new PAM connection will
-be opened for each new user. This is how PAM is normally
-used and may be required by some backend databases.
-The default is to reuse the PAM connection to maximize
-performance. (see -t above)
 .
 .SH CONFIGURATION
 .
@@ -76,7 +72,7 @@
 .I Henrik Nordstrom <hno@squid-cache.org>
 .
 .SH COPYRIGHT
-Squid pam_auth and this manual is Copyright 1999,2002
+Squid pam_auth and this manual is Copyright 1999,2002,2003
 Henrik Nordstrom <hno@squid-cache.org>
 .
 .SH QUESTIONS
Index: squid/helpers/basic_auth/PAM/pam_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/helpers/basic_auth/PAM/pam_auth.c,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.3.6.1
diff -u -r1.1.2.3 -r1.1.2.3.6.1
--- squid/helpers/basic_auth/PAM/pam_auth.c	12 Aug 2002 21:46:57 -0000	1.1.2.3
+++ squid/helpers/basic_auth/PAM/pam_auth.c	18 Nov 2003 16:50:07 -0000	1.1.2.3.6.1
@@ -1,8 +1,8 @@
 /*
- * $Id: pam_auth.c,v 1.1.2.3 2002/08/12 21:46:57 squidadm Exp $
+ * $Id: pam_auth.c,v 1.1.2.3.6.1 2003/11/18 16:50:07 dwsquid Exp $
  *
  * PAM authenticator module for Squid.
- * Copyright (C) 1999,2002 Henrik Nordstrom <hno@squid-cache.org>
+ * Copyright (C) 1999,2002,2003 Henrik Nordstrom <hno@squid-cache.org>
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -37,6 +37,15 @@
  *
  * Change Log:
  *
+ *   Version 2.2, 2003-11-05
+ *      One shot mode is now the default mode of operation
+ *      with persistent PAM connections enabled by -t option.
+ *      Support for clearing the PAM_AUTHTOK attribute on
+ *      persistent PAM connections.
+ *
+ *   Version 2.1, 2002-08-12
+ *      Squid-2.5 support (URL encoded login, password strings)
+ *
  *   Version 2.0, 2002-01-07
  *      One shot mode, command line options
  *	man page
@@ -76,7 +85,7 @@
 
 /* The default TTL */
 #ifndef DEFAULT_SQUID_PAM_TTL
-#define DEFAULT_SQUID_PAM_TTL 60
+#define DEFAULT_SQUID_PAM_TTL 0
 #endif
 
 static char *password = NULL;	/* Workaround for Solaris 2.6 brokenness */
@@ -221,6 +230,7 @@
 	    }
 	    pamh_created = time(NULL);
 	}
+	/* Authentication */
 	retval = PAM_SUCCESS;
 	if (ttl != 0) {
 	    if (retval == PAM_SUCCESS)
@@ -238,7 +248,15 @@
 error:
 	    fprintf(stdout, "ERR\n");
 	}
-	if (ttl == 0) {
+	/* cleanup */
+	retval = PAM_SUCCESS;
+#ifdef PAM_AUTHTOK
+	if (ttl != 0) {
+	    if (retval == PAM_SUCCESS)
+		retval = pam_set_item(pamh, PAM_AUTHTOK, NULL);
+	}
+#endif
+	if (ttl == 0 || retval != PAM_SUCCESS) {
 	    retval = pam_end(pamh, retval);
 	    if (retval != PAM_SUCCESS) {
 		fprintf(stderr, "WARNING: failed to release PAM authenticator\n");
Index: squid/lib/rfc2617.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc2617.c,v
retrieving revision 1.8
retrieving revision 1.8.52.1
diff -u -r1.8 -r1.8.52.1
--- squid/lib/rfc2617.c	17 Oct 2001 18:51:21 -0000	1.8
+++ squid/lib/rfc2617.c	18 Nov 2003 16:50:07 -0000	1.8.52.1
@@ -79,11 +79,16 @@
     unsigned char j;
 
     for (i = 0; i < HASHHEXLEN; i++) {
+	unsigned char n;
 	j = Hex[i];
 	if (('0' <= j) && (j <= '9'))
-	    Bin[i / 2] |= ((j - '0') << ((i % 2 == 0) ? 4 : 0));
+	    n = j - '0';
 	else
-	    Bin[i / 2] |= ((j - 'a' + 10) << ((i % 2 == 0) ? 4 : 0));
+	    n = j - 'a' + 10;
+	if (i % 2 == 0)
+	    Bin[i / 2] = n << 4;
+	else
+	    Bin[i / 2] |= n;
     }
     Bin[HASHLEN] = '\0';
 }
Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.38.6.11.2.7
retrieving revision 1.38.6.11.2.8
diff -u -r1.38.6.11.2.7 -r1.38.6.11.2.8
--- squid/src/cache_cf.c	14 Sep 2003 00:54:23 -0000	1.38.6.11.2.7
+++ squid/src/cache_cf.c	18 Nov 2003 16:50:07 -0000	1.38.6.11.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.38.6.11.2.7 2003/09/14 00:54:23 dwsquid Exp $
+ * $Id: cache_cf.c,v 1.38.6.11.2.8 2003/11/18 16:50:07 dwsquid Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -504,6 +504,8 @@
     else if ((m = parseBytesUnits(token)) == 0)
 	self_destruct();
     *bptr = m * d / u;
+    if ((double) *bptr != m * d / u)
+	self_destruct();
 }
 
 static size_t
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.49.2.33.2.12
retrieving revision 1.49.2.33.2.13
diff -u -r1.49.2.33.2.12 -r1.49.2.33.2.13
--- squid/src/cf.data.pre	15 Oct 2003 22:20:48 -0000	1.49.2.33.2.12
+++ squid/src/cf.data.pre	18 Nov 2003 16:50:07 -0000	1.49.2.33.2.13
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.49.2.33.2.12 2003/10/15 22:20:48 dwsquid Exp $
+# $Id: cf.data.pre,v 1.49.2.33.2.13 2003/11/18 16:50:07 dwsquid Exp $
 #
 #
 # SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -1277,7 +1277,7 @@
 	basic authentication sheme is not used unless a program is specified.
 
 	If you want to use the traditional proxy authentication,
-	jump over to the ../auth_modules/NCSA directory and
+	jump over to the helpers/basic_auth/NCSA directory and
 	type:
 		% make
 		% make install
@@ -1285,9 +1285,9 @@
 	Then, set this line to something like
 
 	auth_param basic program @DEFAULT_PREFIX@/bin/ncsa_auth @DEFAULT_PREFIX@/etc/passwd
-
+	
 	"children" numberofchildren
-	The number of authenticator processes to spawn (no default).
+	The number of authenticator processes to spawn.
 	If you start too few Squid will have to wait for them to
 	process a backlog of usercode/password verifications, slowing
 	it down. When password verifications are done via a (slow)
@@ -1299,7 +1299,7 @@
 	Specifies the realm name which is to be reported to the
 	client for the basic proxy authentication scheme (part of
 	the text the user will see when prompted their username and
-	password). There is no default.
+	password).
 	auth_param basic realm Squid proxy-caching web server
 
 	"credentialsttl" timetolive
@@ -1312,6 +1312,7 @@
 	system (such as SecureID).  If you are using such a system,
 	you will be vulnerable to replay attacks unless you also
 	use the max_user_ip ACL in an http_access rule.
+	auth_param basic credentialsttl 2 hours
 
 	=== Parameters for the digest scheme follow ===
 
@@ -1321,10 +1322,11 @@
 	replies with the appropriate H(A1) value base64 encoded.
 	See rfc 2616 for the definition of H(A1).  If you use an
 	authenticator, make sure you have 1 acl of type proxy_auth.
-	By default, authentication is not used.
+	By default, the digest authentication scheme is not used
+	unless a program is specified.
 
-	If you want to use build an authenticator,
-	jump over to the ../digest_auth_modules directory and choose the
+	If you want to use a digest authenticator, jump over to
+	the helpers/digest_auth/ directory and choose the
 	authenticator to use. It it's directory type
         	% make
 	        % make install
@@ -1346,37 +1348,43 @@
 	Specifies the realm name which is to be reported to the
 	client for the digest proxy authentication scheme (part of
 	the text the user will see when prompted their username and
-	password). There is no default.
+	password).
 	auth_param digest realm Squid proxy-caching web server
 
 	"nonce_garbage_interval" timeinterval
 	Specifies the interval that nonces that have been issued
 	to client_agent's are checked for validity.
+	auth_param digest nonce_garbage_interval 5 minutes
 
 	"nonce_max_duration" timeinterval
 	Specifies the maximum length of time a given nonce will be
 	valid for.
+	auth_param digest nonce_max_duration 30 minutes
 
 	"nonce_max_count" number
 	Specifies the maximum number of times a given nonce can be
 	used.
+	auth_param digest nonce_max_count 50
 
 	"nonce_strictness" on|off
 	Determines if squid requires strict increment-by-1 behaviour
 	for nonce counts, or just incrementing (off - for use when
 	useragents generate nonce counts that occasionally miss 1
-	(ie, 1,2,4,6)). Default off.
+	(ie, 1,2,4,6)).
+	auth_param digest nonce_strictness off
 
 	"check_nonce_count" on|off
 	This directive if set to off can disable the nonce count check
 	completely to work around buggy digest qop implementations in
 	certain mainstream browser versions. Default on to check the
 	nonce count to protect from authentication replay attacks.
+	auth_param digest check_nonce_count on
 
 	"post_workaround" on|off
 	This is a workaround to certain buggy browsers who sends
 	an incorrect request digest in POST requests when reusing
 	the same nonce as aquired earlier on a GET request.
+	auth_param digest post_workaround off
 
 	=== NTLM scheme options follow ===
 
@@ -1386,8 +1394,8 @@
 	and replies with the ntlm CHALLENGE, then waits for the
 	response and answers with "OK" or "ERR" in an endless loop.
 	If you use an ntlm authenticator, make sure you have 1 acl
-	of type proxy_auth.  By default, the ntlm authenticator_program
-	is not used.
+	of type proxy_auth.  By default, the ntlm authentication scheme
+	is not used unless a program is specified.
 
 	auth_param ntlm program @DEFAULT_PREFIX@/bin/ntlm_auth
 
@@ -2098,7 +2106,7 @@
 #
 # INSERT YOUR OWN RULE(S) HERE TO ALLOW ACCESS FROM YOUR CLIENTS
 
-# Exampe rule allowing access from your local networks. Adapt
+# Example rule allowing access from your local networks. Adapt
 # to list your (internal) IP networks from where browsing should
 # be allowed
 #acl our_networks src 192.168.1.0/24 192.168.2.0/24
Index: squid/src/errorpage.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/errorpage.c,v
retrieving revision 1.15.6.6.6.2
retrieving revision 1.15.6.6.6.3
diff -u -r1.15.6.6.6.2 -r1.15.6.6.6.3
--- squid/src/errorpage.c	2 Jun 2003 13:38:59 -0000	1.15.6.6.6.2
+++ squid/src/errorpage.c	18 Nov 2003 16:50:07 -0000	1.15.6.6.6.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.c,v 1.15.6.6.6.2 2003/06/02 13:38:59 hno Exp $
+ * $Id: errorpage.c,v 1.15.6.6.6.3 2003/11/18 16:50:07 dwsquid Exp $
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
@@ -192,7 +192,7 @@
 	text = NULL;
     }
     file_close(fd);
-    if (strstr(text, "%s") == NULL)
+    if (text && strstr(text, "%s") == NULL)
 	strcat(text, "%S");	/* add signature */
     return text;
 }
Index: squid/src/fqdncache.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fqdncache.c,v
retrieving revision 1.15
retrieving revision 1.15.32.1
diff -u -r1.15 -r1.15.32.1
--- squid/src/fqdncache.c	24 Oct 2001 09:42:12 -0000	1.15
+++ squid/src/fqdncache.c	18 Nov 2003 16:50:08 -0000	1.15.32.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fqdncache.c,v 1.15 2001/10/24 09:42:12 squidadm Exp $
+ * $Id: fqdncache.c,v 1.15.32.1 2003/11/18 16:50:08 dwsquid Exp $
  *
  * DEBUG: section 35    FQDN Cache
  * AUTHOR: Harvest Derived
@@ -278,7 +278,7 @@
     int k;
     int na = 0;
     memset(&f, '\0', sizeof(f));
-    f.expires = squid_curtime;
+    f.expires = squid_curtime + Config.negativeDnsTtl;
     f.flags.negcached = 1;
     if (nr < 0) {
 	debug(35, 3) ("fqdncacheParse: Lookup failed (error %d)\n",
Index: squid/src/mime.conf.default
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/mime.conf.default,v
retrieving revision 1.2
retrieving revision 1.2.82.1
diff -u -r1.2 -r1.2.82.1
--- squid/src/mime.conf.default	24 Aug 2001 13:29:03 -0000	1.2
+++ squid/src/mime.conf.default	18 Nov 2003 16:50:08 -0000	1.2.82.1
@@ -131,5 +131,6 @@
 \.core$		application/octet-stream	anthony-bomb.gif	-	image
 \.png$		image/png			anthony-image.gif	-	image
 \.cab$		application/octet-stream	anthony-compressed.gif	-	image	+view
+\.xpi$		application/x-xpinstall		anthony-unknown.gif	-	image
 # the default
 .		text/plain			anthony-unknown.gif	-	image	+view +download
Index: squid/src/redirect.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/redirect.c,v
retrieving revision 1.7.52.1
retrieving revision 1.7.52.1.6.1
diff -u -r1.7.52.1 -r1.7.52.1.6.1
--- squid/src/redirect.c	21 Jul 2002 01:07:44 -0000	1.7.52.1
+++ squid/src/redirect.c	18 Nov 2003 16:50:08 -0000	1.7.52.1.6.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: redirect.c,v 1.7.52.1 2002/07/21 01:07:44 squidadm Exp $
+ * $Id: redirect.c,v 1.7.52.1.6.1 2003/11/18 16:50:08 dwsquid Exp $
  *
  * DEBUG: section 61    Redirector
  * AUTHOR: Duane Wessels
@@ -143,7 +143,7 @@
 	r->orig_url,
 	inet_ntoa(r->client_addr),
 	fqdn,
-	r->client_ident,
+	r->client_ident[0] ? rfc1738_escape(r->client_ident) : dash_str,
 	r->method_s);
     helperSubmit(redirectors, buf, redirectHandleReply, r);
 }
Index: squid/src/store.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store.c,v
retrieving revision 1.16.6.2.2.2
retrieving revision 1.16.6.2.2.3
diff -u -r1.16.6.2.2.2 -r1.16.6.2.2.3
--- squid/src/store.c	14 Sep 2003 01:36:30 -0000	1.16.6.2.2.2
+++ squid/src/store.c	18 Nov 2003 16:50:08 -0000	1.16.6.2.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store.c,v 1.16.6.2.2.2 2003/09/14 01:36:30 dwsquid Exp $
+ * $Id: store.c,v 1.16.6.2.2.3 2003/11/18 16:50:08 dwsquid Exp $
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
@@ -443,6 +443,7 @@
 	    }
 #endif
 	    storeSetPublicKey(pe);
+	    storeBuffer(pe);
 	    httpReplySwapOut(pe->mem_obj->reply, pe);
 	    storeBufferFlush(pe);
 	    storeTimestampsSet(pe);
Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.48.2.9.2.21
retrieving revision 1.48.2.9.2.22
diff -u -r1.48.2.9.2.21 -r1.48.2.9.2.22
--- squid/src/structs.h	14 Nov 2003 01:34:36 -0000	1.48.2.9.2.21
+++ squid/src/structs.h	18 Nov 2003 16:50:08 -0000	1.48.2.9.2.22
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.48.2.9.2.21 2003/11/14 01:34:36 dwsquid Exp $
+ * $Id: structs.h,v 1.48.2.9.2.22 2003/11/18 16:50:08 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -2100,7 +2100,7 @@
 };
 
 struct _FwdState {
-    int client_fd;
+    int client_fd;		/* XXX unnecessary */
     StoreEntry *entry;
     request_t *request;
     FwdServer *servers;
Index: squid/src/auth/basic/auth_basic.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/basic/auth_basic.c,v
retrieving revision 1.17.6.2.2.1
retrieving revision 1.17.6.2.2.2
diff -u -r1.17.6.2.2.1 -r1.17.6.2.2.2
--- squid/src/auth/basic/auth_basic.c	14 Sep 2003 01:36:31 -0000	1.17.6.2.2.1
+++ squid/src/auth/basic/auth_basic.c	18 Nov 2003 16:50:08 -0000	1.17.6.2.2.2
@@ -321,6 +321,7 @@
 	scheme->scheme_data = xmalloc(sizeof(auth_basic_config));
 	memset(scheme->scheme_data, 0, sizeof(auth_basic_config));
 	basicConfig = scheme->scheme_data;
+	basicConfig->basicAuthRealm = xstrdup("Squid proxy-caching web server");
 	basicConfig->authenticateChildren = 5;
 	basicConfig->credentialsTTL = 2 * 60 * 60;	/* two hours */
     }
Index: squid/src/auth/digest/auth_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/digest/auth_digest.c,v
retrieving revision 1.12.6.5.2.2
retrieving revision 1.12.6.5.2.3
diff -u -r1.12.6.5.2.2 -r1.12.6.5.2.3
--- squid/src/auth/digest/auth_digest.c	14 Sep 2003 01:36:31 -0000	1.12.6.5.2.2
+++ squid/src/auth/digest/auth_digest.c	18 Nov 2003 16:50:09 -0000	1.12.6.5.2.3
@@ -523,8 +523,10 @@
 static void
 authDigestAURequestFree(auth_user_request_t * auth_user_request)
 {
-    if (auth_user_request->scheme_data != NULL)
+    if (auth_user_request->scheme_data != NULL) {
 	authDigestRequestDelete((digest_request_h *) auth_user_request->scheme_data);
+	auth_user_request->scheme_data = NULL;
+    }
 }
 
 static digest_request_h *
@@ -695,7 +697,13 @@
     debug(29, 9) ("\nResponse = '%s'\n"
 	"squid is = '%s'\n", digest_request->response, Response);
 
-    if (strcasecmp(digest_request->response, Response)) {
+    if (strcasecmp(digest_request->response, Response) != 0) {
+	if (!digest_request->flags.helper_queried) {
+	    /* Query the helper in case the password has changed */
+	    digest_request->flags.helper_queried = 1;
+	    digest_request->flags.credentials_ok = 2;
+	    return;
+	}
 	if (digestConfig->PostWorkaround && request->method != METHOD_GET) {
 	    /* Ugly workaround for certain very broken browsers using the
 	     * wrong method to calculate the request-digest on POST request.
@@ -952,6 +960,7 @@
 	memset(scheme->scheme_data, 0, sizeof(auth_digest_config));
 	digestConfig = scheme->scheme_data;
 	digestConfig->authenticateChildren = 5;
+	digestConfig->digestAuthRealm = xstrdup("Squid proxy-caching web server");
 	/* 5 minutes */
 	digestConfig->nonceGCInterval = 5 * 60;
 	/* 30 minutes */
@@ -962,6 +971,7 @@
 	digestConfig->NonceStrictness = 0;
 	/* Verify nonce count */
 	digestConfig->CheckNonceCount = 1;
+	digestConfig->PostWorkaround = 0;
     }
     digestConfig = scheme->scheme_data;
     if (strcasecmp(param_str, "program") == 0) {
Index: squid/src/auth/digest/auth_digest.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/digest/auth_digest.h,v
retrieving revision 1.6.6.2.2.1
retrieving revision 1.6.6.2.2.2
diff -u -r1.6.6.2.2.1 -r1.6.6.2.2.2
--- squid/src/auth/digest/auth_digest.h	27 May 2003 12:57:45 -0000	1.6.6.2.2.1
+++ squid/src/auth/digest/auth_digest.h	18 Nov 2003 16:50:09 -0000	1.6.6.2.2.2
@@ -44,6 +44,7 @@
 	unsigned int authinfo_sent:1;
 	unsigned int credentials_ok:2;	/*0=unchecked,1=ok,2=helper,3=failed */
 	unsigned int nonce_stale:1;
+	unsigned int helper_queried:1;
     } flags;
     digest_nonce_h *nonce;
 };
